#include <bits/stdc++.h>
using namespace std;
int niz[2000010];
int main(){
int K,N,x,br=0;
cin >> N;
cin >> K;
for (int i=1;i<=N;i++){
cin >> x;
niz[x+N]++;
}
for (int i=0;i<=2*N; i++){
    if(niz[i]>=K)
    br++;}
    cout << br << endl;
for (int i=0; i<=2*N; i++){
if(niz[i]>=K)
cout << i-N << " ";}
return 0;

}